Services Configuration (Operations)
Endpoints to create, update, and read operative service jobs configuration.
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get operative service config
Provide the localized names and descriptions for operative service configuration. If not provided the default locale is used.
en-USPossible values: Central Configuration of all Service related operations
OperativeServiceConfiguration
The date this entity was created by fulfillmenttools. This value is generated by the service.
2020-02-03T08:45:51.525ZID of the Operative Service Configuration is always operativeservice
operativeserviceThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/configurations/operativeservice HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"cancelReasons": [
{
"cancelReasonLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"cancelReason": "Broken Item"
}
],
"created": "2020-02-03T08:45:51.525Z",
"id": "operativeservice",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Create or update the operative service configuration.
Provide the localized names and descriptions for the operative service configuration. If not provided the default locale is used.
OperativeServiceConfigurationForUpsert
The version of the document to be used in optimistic locking mechanisms
42The operative service configuration was successfully updated.
OperativeServiceConfiguration
The date this entity was created by fulfillmenttools. This value is generated by the service.
2020-02-03T08:45:51.525ZID of the Operative Service Configuration is always operativeservice
operativeserviceThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42The operative service configuration was successfully created.
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/configurations/operativeservice HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"cancelReasons": [
{
"cancelReasonLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"cancelReason": "Broken Item"
}
],
"version": 42
}{
"cancelReasons": [
{
"cancelReasonLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"cancelReason": "Broken Item"
}
],
"created": "2020-02-03T08:45:51.525Z",
"id": "operativeservice",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}Last updated
Was this helpful?

